package com.goafanti.order.bo;

public class OutProcessName {
    private String id;
    private String orderNo;
    private Integer type;
    private String changeAmount;
    private Integer status;
    private Integer special;
    private Integer processState;
    private Integer isHN;
    private String approvalName;
    private Integer approvalStatus;
    private String yxy;
    private String salesmanId;
    private String yxjl;
    private String yxgly;
    private String zxs;
    private String zxsjl;
    private String zxsgly;
    private String cwzy;
    private String cwgly;

    private String dsz;
    private String yybz;

    public String getYybz() {
        return yybz;
    }

    public void setYybz(String yybz) {
        this.yybz = yybz;
    }

    public Integer getIsHN() {
        return isHN;
    }

    public void setIsHN(Integer isHN) {
        this.isHN = isHN;
    }

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public Integer getApprovalStatus() {
        return approvalStatus;
    }

    public void setApprovalStatus(Integer approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public Integer getSpecial() {
        if (special==null)return 0;
        return special;
    }

    public void setSpecial(Integer special) {
        this.special = special;
    }

    public String getSalesmanId() {
        return salesmanId;
    }

    public void setSalesmanId(String salesmanId) {
        this.salesmanId = salesmanId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getProcessState() {
        return processState;
    }

    public void setProcessState(Integer processState) {
        this.processState = processState;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }


    public String getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(String changeAmount) {
        this.changeAmount = changeAmount;
    }

    public String getYxy() {
        return yxy;
    }

    public void setYxy(String yxy) {
        this.yxy = yxy;
    }

    public String getYxjl() {
        return yxjl;
    }

    public void setYxjl(String yxjl) {
        this.yxjl = yxjl;
    }

    public String getYxgly() {
        return yxgly;
    }

    public void setYxgly(String yxgly) {
        this.yxgly = yxgly;
    }

    public String getZxs() {
        return zxs;
    }

    public void setZxs(String zxs) {
        this.zxs = zxs;
    }

    public String getZxsjl() {
        return zxsjl;
    }

    public void setZxsjl(String zxsjl) {
        this.zxsjl = zxsjl;
    }

    public String getZxsgly() {
        return zxsgly;
    }

    public void setZxsgly(String zxsgly) {
        this.zxsgly = zxsgly;
    }

    public String getCwzy() {
        return cwzy;
    }

    public void setCwzy(String cwzy) {
        this.cwzy = cwzy;
    }

    public String getCwgly() {
        return cwgly;
    }

    public void setCwgly(String cwgly) {
        this.cwgly = cwgly;
    }



    public String getDsz() {
        return dsz;
    }

    public void setDsz(String dsz) {
        this.dsz = dsz;
    }
}
